Package bitel.billing.server.admin.bgsecure.bean

# Class UserLoginModule

java.lang.Object
bitel.billing.server.admin.bgsecure.bean.UserLoginModule

All Implemented Interfaces:
  `LoginModule`

Direct Known Subclasses:
  `UserLoginModule.WithoutPassword`

public class UserLoginModule extends Object implements LoginModule

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `UserLoginModule.ConnectionCallback`
  `class`
  `UserLoginModule.UserPrincipal`
  `static class`
  `UserLoginModule.WithoutPassword`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected CallbackHandler`
  `callbackHandler`
  `protected boolean`
  `loginOK`
  `protected Map<String,?>`
  `options`
  `protected Map<String,?>`
  `sharedState`
  `protected Subject`
  `subject`
  `protected UserLoginModule.UserPrincipal`
  `user`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserLoginModule()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `abort()`
  `static Subject`
  `auth(String loginContextName, String userName, String userPswd)`
  аутентификация. используется slave-коннекшен.
  `boolean`
  `commit()`
  `static User`
  `getUser(Subject subject)`
  `void`
  `initialize(Subject subject, CallbackHandler callbackHandler, Map<String,?> sharedState, Map<String,?> options)`
  `boolean`
  `login()`
  `protected void`
  `login(User user, NameCallback name, PasswordCallback pswd)`
  `boolean`
  `logout()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### subject

    protected Subject subject

  - ### callbackHandler

    protected CallbackHandler callbackHandler

  - ### sharedState

    protected Map<String,?> sharedState

  - ### options

    protected Map<String,?> options

  - ### user

    protected UserLoginModule.UserPrincipal user

  - ### loginOK

    protected boolean loginOK

- ## Constructor Details

  - ### UserLoginModule

    public UserLoginModule()

- ## Method Details

  - ### auth

    public static Subject auth(String loginContextName, String userName, String userPswd) throws LoginException
    аутентификация. используется slave-коннекшен.
    Throws:
      `LoginException` - не получилось

  - ### getUser

    public static User getUser(Subject subject)

  - ### initialize

    public void initialize(Subject subject, CallbackHandler callbackHandler, Map<String,?> sharedState, Map<String,?> options)
    Specified by:
      `initialize` in interface `LoginModule`

  - ### login

    protected void login(User user, NameCallback name, PasswordCallback pswd) throws LoginException
    Throws:
      `LoginException`

  - ### login

    public boolean login() throws LoginException
    Specified by:
      `login` in interface `LoginModule`
    Throws:
      `LoginException`

  - ### commit

    public boolean commit() throws LoginException
    Specified by:
      `commit` in interface `LoginModule`
    Throws:
      `LoginException`

  - ### abort

    public boolean abort() throws LoginException
    Specified by:
      `abort` in interface `LoginModule`
    Throws:
      `LoginException`

  - ### logout

    public boolean logout() throws LoginException
    Specified by:
      `logout` in interface `LoginModule`
    Throws:
      `LoginException`